<?php

function firefly_block1_controls($wp_customize) {
    $wp_customize->add_setting('my_plugin_group1_test_color', array(
        'default'           => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    ));

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        'my_plugin_group1_test_color_control',
        array(
            'label'    => __('Test Background Colour', 'my-plugin'),
            'section'  => 'firefly_blocks_section_group1_fullwidth',
            'settings' => 'my_plugin_group1_test_color',
        )
    ));
}
